3

I'm upgrading a CiviCRM 4.6.20 install to 4.7.10. I'm on Drupal 7.50. I've tried the updgrade several times. My Drupal database updates are all executed. Before running the upgrade, the civicrm_action_schedule table has an INDEX with the name, FK_civicrm_action_schedule_mapping_id. But when I execute SQL to list all foreign key constraints, there are none. I don't know if this makes a difference, but the table is empty. I don't have any rows in civicrm_action_schedule.

What could I be missing here? Thanks!

[Error: Upgrade DB to 4.7.alpha1: SQL] Error Field Error Value Type DB_Error Code -4 Message DB Error: not found Mode 16 UserInfo ALTER TABLE civicrm_action_schedule DROP FOREIGN KEY FK_civicrm_action_schedule_mapping_id [nativecode=1091 ** Can't DROP 'FK_civicrm_action_schedule_mapping_id'; check that column/key exists] DebugInfo ALTER TABLE civicrm_action_schedule DROP FOREIGN KEY FK_civicrm_action_schedule_mapping_id [nativecode=1091 ** Can't DROP 'FK_civicrm_action_schedule_mapping_id'; check that column/key exists]

enter image description here

1

I may have found a solution elsewhere - which is ugly and requires editing the upgrade scripts. Database Error When Upgrading 4.6 to 4.7 on Drupal 7

So it's not really a solution for me - but maybe it will be a solution for others, as once I got past that issue the 4.6.20 to 4.7.0alpha3 portion failed with the following. Have not found that many google matches for this error - but hopefully I can get past this next hurdle. Hopefully others won't also run into this issue.

[Error: undefined]

Exception: "A fatal error was triggered: Could not find valid value for qrid"

0 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Utils/Request.php(92):

CRM_Core_Error::fatal("Could not find valid value for qrid")

1 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Queue/Page/AJAX.php(47):

CRM_Utils_Request::retrieve("qrid", "String", NULL, TRUE, NULL, "POST")

2 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Queue/ErrorPolicy.php(106):

CRM_Queue_Page_AJAX::{closure}()

3 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Queue/Page/AJAX.php(54):

CRM_Queue_ErrorPolicy->call(Object(Closure))

4 internal function: CRM_Queue_Page_AJAX::runNext()

5 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Core/Invoke.php(278):

call_user_func((Array:2))

6 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Core/Invoke.php(86):

CRM_Core_Invoke::runItem((Array:13))

7 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/CRM/Core/Invoke.php(54):

CRM_Core_Invoke::_invoke((Array:5))

8 /home/kialis/zootownarts.org/drupal7/sites/all/modules/civicrm/drupal/civicrm.module(454):

CRM_Core_Invoke::invoke((Array:5))

9 internal function: civicrm_invoke("upgrade", "queue", "ajax", "runNext")

10 /home/kialis/zootownarts.org/drupal7/includes/menu.inc(527): call_user_func_array("civicrm_invoke", (Array:4))

11 /home/kialis/zootownarts.org/drupal7/index.php(21): menu_execute_active_handler()

12 {main}

  • Ok - I got past the qrid error message by reloading the install URL present when the error happens. The qrid is related to the Queue Runner, and not sure why it's getting interrupted, but just by going here again http://<yoursite>/civicrm/upgrade/queue/runner?reset=1&qrid=CRM_Upgrade it seems to get the job done. I had to do it a couple times to get to CiviCRM 4.7.10. – Harold Shinsato Sep 6 '16 at 4:15
  • I attempted to load the URL you suggested here, hoping my upgrade would pick back up but I got the following: Queue runner must be configured before execution. – Christia Dec 21 '16 at 22:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.